Bug 1969068 - F35FailsToInstall: python3-openstacksdk, python3-openstacksdk-tests
Summary: F35FailsToInstall: python3-openstacksdk, python3-openstacksdk-tests
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-openstacksdk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1969012
Blocks: F35FailsToInstall PYTHON3.10 1914840 1926337 1968952 1969000 1969049 1969067 1969071 1969128 1969188
TreeView+ depends on / blocked
 
Reported: 2021-06-07 23:42 UTC by Miro Hrončok
Modified: 2021-06-17 15:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-17 15:42:31 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-06-07 23:42:47 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (python-openstacksdk) Fails To Install in Fedora 35:

can't install python3-openstacksdk:
  - nothing provides python3.9dist(setuptools) needed by python3-openstacksdk-0.55.0-1.fc35.noarch
  - nothing provides python(abi) = 3.9 needed by python3-openstacksdk-0.55.0-1.fc35.noarch
  
can't install python3-openstacksdk-tests:
  - nothing provides python(abi) = 3.9 needed by python3-openstacksdk-tests-0.55.0-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-06-07 23:48:28 UTC
This bugzilla is likely a fallout from the Python 3.10 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.10 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.10, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Miro Hrončok 2021-06-15 20:51:52 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Tomáš Hrnčiar 2021-06-16 14:17:32 UTC
With unblocked keystoneauth1 there are 2 issues with openstacksdk.

RuntimeError: 'auto_spec' might be a typo; use unsafe=True if this is intended
This can be easily solved by replacing auto_spec with autospec in openstack/tests/unit/compute/v2/test_proxy.py . But it leads to test failures.

==============================
Failed 18 tests - output below:
==============================

openstack.tests.unit.cloud.test_caching.TestCacheIgnoresQueuedStatus.test_list_images_ignores_pending_status(saving)
--------------------------------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 606, in test_list_images_ignores_pending_status
        self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_list_flavors
-------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 453, in test_list_flavors
        self.assertEqual([], self.cloud.list_flavors())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_list_images
------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 484, in test_list_images
        self.assertEqual([], self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_list_images_caches_deleted_status
----------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 509, in test_list_images_caches_deleted_status
        self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_list_volumes
-------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 221, in test_list_volumes
        self.cloud.list_volumes())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_list_volumes_creating_invalidates
----------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 252, in test_list_volumes_creating_invalidates
        self.cloud.list_volumes())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestCacheIgnoresQueuedStatus.test_list_images_ignores_pending_status(queued)
--------------------------------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 606, in test_list_images_ignores_pending_status
        self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestCacheIgnoresQueuedStatus.test_list_images_ignores_pending_status(pending_delete)
----------------------------------------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 606, in test_list_images_ignores_pending_status
        self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestCacheSteadyStatus.test_list_images_caches_steady_status(active)
-----------------------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 643, in test_list_images_caches_steady_status
        self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestCacheSteadyStatus.test_list_images_caches_steady_status(killed)
-----------------------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 643, in test_list_images_caches_steady_status
        self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_cache_no_cloud_name
--------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 536, in test_cache_no_cloud_name
        self.cloud.list_images())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_create_volume_invalidates
--------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 304, in test_create_volume_invalidates
        self.cloud.list_volumes())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, bool found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_list_projects_v2
-----------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 169, in test_list_projects_v2
        self.cloud.list_projects())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, NoneType found
    

openstack.tests.unit.cloud.test_caching.TestMemoryCache.test_list_projects_v3
-----------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/cloud/test_caching.py", line 133, in test_list_projects_v3
        self.cloud.list_projects())
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/_utils.py", line 394, in _cache_decorator
        return the_method(*args, **kwargs)
      File "/usr/lib/python3.10/site-packages/decorator.py", line 232, in fun
        return caller(func, *(extras + args), **kw)
      File "/usr/lib/python3.10/site-packages/dogpile/cache/region.py", line 1570, in get_or_create_for_user_func
        key = key_generator(*arg, **kw)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/cloud/openstackcloud.py", line 335, in generate_key
        arg_key = ','.join(args)
    TypeError: sequence item 0: expected str instance, NoneType found
    

openstack.tests.unit.compute.v2.test_proxy.TestFlavor.test_flavors_detailed
---------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    TypeError: missing a required argument: 'resource_type'
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/lib64/python3.10/unittest/mock.py", line 1370, in patched
        return func(*newargs, **newkeywargs)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/compute/v2/test_proxy.py", line 151, in test_flavors_detailed
        list_mock.assert_called_with(
      File "/usr/lib64/python3.10/unittest/mock.py", line 204, in assert_called_with
        return mock.assert_called_with(*args, **kwargs)
      File "/usr/lib64/python3.10/unittest/mock.py", line 919, in assert_called_with
        raise AssertionError(_error_message()) from cause
    AssertionError: expected call not found.
    Expected: _list(<class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors/detail')
    Actual: _list(<openstack.compute.v2._proxy.Proxy object at 0x7f319679bb50>, <class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors/detail')
    

openstack.tests.unit.compute.v2.test_proxy.TestFlavor.test_flavors_get_extra
----------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    TypeError: missing a required argument: 'resource_type'
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/lib64/python3.10/unittest/mock.py", line 1370, in patched
        return func(*newargs, **newkeywargs)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/compute/v2/test_proxy.py", line 189, in test_flavors_get_extra
        list_mock.assert_called_with(
      File "/usr/lib64/python3.10/unittest/mock.py", line 204, in assert_called_with
        return mock.assert_called_with(*args, **kwargs)
      File "/usr/lib64/python3.10/unittest/mock.py", line 919, in assert_called_with
        raise AssertionError(_error_message()) from cause
    AssertionError: expected call not found.
    Expected: _list(<class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors')
    Actual: _list(<openstack.compute.v2._proxy.Proxy object at 0x7f31969bd660>, <class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors')
    

openstack.tests.unit.compute.v2.test_proxy.TestFlavor.test_flavors_not_detailed
-------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    TypeError: missing a required argument: 'resource_type'
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/lib64/python3.10/unittest/mock.py", line 1370, in patched
        return func(*newargs, **newkeywargs)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/compute/v2/test_proxy.py", line 164, in test_flavors_not_detailed
        list_mock.assert_called_with(
      File "/usr/lib64/python3.10/unittest/mock.py", line 204, in assert_called_with
        return mock.assert_called_with(*args, **kwargs)
      File "/usr/lib64/python3.10/unittest/mock.py", line 919, in assert_called_with
        raise AssertionError(_error_message()) from cause
    AssertionError: expected call not found.
    Expected: _list(<class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors')
    Actual: _list(<openstack.compute.v2._proxy.Proxy object at 0x7f3196799c00>, <class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors')
    

openstack.tests.unit.compute.v2.test_proxy.TestFlavor.test_flavors_query
------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    TypeError: missing a required argument: 'resource_type'
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/lib64/python3.10/unittest/mock.py", line 1370, in patched
        return func(*newargs, **newkeywargs)
      File "/builddir/build/BUILD/openstacksdk-0.55.0/openstack/tests/unit/compute/v2/test_proxy.py", line 176, in test_flavors_query
        list_mock.assert_called_with(
      File "/usr/lib64/python3.10/unittest/mock.py", line 204, in assert_called_with
        return mock.assert_called_with(*args, **kwargs)
      File "/usr/lib64/python3.10/unittest/mock.py", line 919, in assert_called_with
        raise AssertionError(_error_message()) from cause
    AssertionError: expected call not found.
    Expected: _list(<class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors', a='b')
    Actual: _list(<openstack.compute.v2._proxy.Proxy object at 0x7fa6672210c0>, <class 'openstack.compute.v2.flavor.Flavor'>, base_path='/flavors', a='b')
    


======
Totals
======
Ran: 3731 tests in 40.6203 sec.
 - Passed: 3713
 - Skipped: 0
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 18
Sum of execute time for each test: 77.3005 sec.

Comment 4 Javier Peña 2021-06-16 16:28:43 UTC
For the first batch of issues (those related to the message "TypeError: sequence item 0: expected str instance, bool found"), I think we will need to update python3-dogpile-cache to the latest version 1.1.4, based on the changelog from [1]. It mentions updates to work with decorator 5.x (now in Rawhide) plus Python 3.10 fixes.

[1]- https://dogpilecache.sqlalchemy.org/en/latest/changelog.html

Comment 5 Joel Capitao 2021-06-16 16:35:23 UTC
I proposed a patch upstream wrt autospec: https://review.opendev.org/c/openstack/openstacksdk/+/796706

Comment 6 Javier Peña 2021-06-17 14:46:48 UTC
I have spent some time investigating the failed unit tests, and we have two issues:

1- auto_spec in mock.patch. That should be solved by https://review.opendev.org/c/openstack/openstacksdk/+/796706
2- The other failures are caused by python-decorator 5.x. OpenstackSDK and the rest of the OpenStack packages cap their decorator version to < 5.0.0, and we seem to have some incompatibilities with 5.x. After several tests, I think there are two spots to fix issues:
  - One is in openstacksdk, where in [1] it seems to assume that everything in *args are strings, and it turns out now it is not (maybe a difference in decorator 5.x???)
  - When that is fixed, dogpile.cache is also causing some issues in [2]. Looking at some issues opened by other projects[3], maybe dogpile.cache needs to pass the "kwsyntax=True" parameter to decorator.decorate(), but just adding it to the python-dogpile-cache package breaks some unit tests.

I'm not sure what the best fix will be. We could just skip the failing unit tests and move on for now, but that might hide some other issues. Any hints will be appreciated.

[1] - https://opendev.org/openstack/openstacksdk/src/tag/0.55.0/openstack/cloud/openstackcloud.py#L334-L335
[2] - https://github.com/sqlalchemy/dogpile.cache/blob/rel_1_1_3/dogpile/cache/region.py#L1859-L1864
[3] - https://github.com/micheles/decorator/issues/126

Comment 7 Javier Peña 2021-06-17 15:42:31 UTC
For the time being, we have opted for skipping the failed unit tests, all related to the decorator update. The fixed build is https://koji.fedoraproject.org/koji/taskinfo?taskID=70307468


I think the dogpile.cache+decorator 5.x issue will break some other packages, so hopefully we will be able to fix it in the future.


Note You need to log in before you can comment on or make changes to this bug.